"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _actionTypes = require("./actionTypes");

var initialState = {
  success: false,
  loading: false,
  data: null,
  error: null
};

var _default = function _default(sender) {
  return function () {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
    var action = arguments.length > 1 ? arguments[1] : undefined;
    if (sender !== action.sender) return state;

    switch (action.type) {
      case _actionTypes.REQUEST_SENT:
        return {
          success: false,
          loading: true,
          data: state.data,
          error: null
        };

      case _actionTypes.REQUEST_SUCCESS:
        return {
          success: true,
          loading: false,
          data: action.data,
          error: null
        };

      case _actionTypes.REQUEST_FAILURE:
        return {
          success: false,
          loading: false,
          data: null,
          error: action.error
        };

      case _actionTypes.REQUEST_CLEAN:
        return {
          success: false,
          loading: false,
          data: null,
          error: null
        };

      default:
        return state;
    }
  };
};

exports.default = _default;