"use strict";

var _actions = _interopRequireDefault(require("../actions"));

var types = _interopRequireWildcard(require("../actionTypes"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SENDER = 'SENDER';
describe('request actions', function () {
  // send request
  it('create an action to send a request', function () {
    var expectedAction = {
      type: types.REQUEST_SENT,
      sender: SENDER
    };
    expect(_actions.default.sendRequest(SENDER)).toEqual(expectedAction);
  }); // clean request

  it('create an action to show to clean the request', function () {
    var expectedAction = {
      type: types.REQUEST_CLEAN,
      sender: SENDER
    };
    expect(_actions.default.cleanRequest(SENDER)).toEqual(expectedAction);
  }); // request success

  it('create an action to show that the request succeded', function () {
    var data = 'test';
    var expectedAction = {
      type: types.REQUEST_SUCCESS,
      sender: SENDER,
      data: data
    };
    expect(_actions.default.successRequest(SENDER, data)).toEqual(expectedAction);
  }); // request success

  it('create an action to show that the request failed', function () {
    var error = 'test';
    var expectedAction = {
      type: types.REQUEST_FAILURE,
      sender: SENDER,
      error: error
    };
    expect(_actions.default.failureRequest(SENDER, error)).toEqual(expectedAction);
  });
});