"use strict";

var _reducer = _interopRequireDefault(require("../reducer"));

var actionTypes = _interopRequireWildcard(require("../actionTypes"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SENDER = 'SENDER';
describe('request reducer', function () {
  // initial state
  it('should return initial state', function () {
    expect((0, _reducer.default)(SENDER)(undefined, {})).toEqual({
      data: null,
      error: null,
      loading: false,
      success: false
    });
  }); // handle send request

  it('should handle REQUEST_SENT', function () {
    var reducer = (0, _reducer.default)(SENDER);
    expect(reducer(undefined, {
      type: actionTypes.REQUEST_SENT,
      sender: SENDER
    })).toEqual({
      data: null,
      error: null,
      loading: true,
      success: false
    });
  }); // handle clean request

  it('should handle REQUEST_CLEAN', function () {
    var reducer = (0, _reducer.default)(SENDER);
    expect(reducer(undefined, {
      type: actionTypes.REQUEST_CLEAN,
      sender: SENDER
    })).toEqual({
      data: null,
      error: null,
      loading: false,
      success: false
    });
  }); // handle clean success

  it('should handle REQUEST_SUCCESS', function () {
    var reducer = (0, _reducer.default)(SENDER);
    var data = 'data';
    expect(reducer(undefined, {
      type: actionTypes.REQUEST_SUCCESS,
      sender: SENDER,
      data: data
    })).toEqual({
      data: data,
      error: null,
      loading: false,
      success: true
    });
  }); // handle request failure

  it('should handle REQUEST_FAILURE', function () {
    var reducer = (0, _reducer.default)(SENDER);
    var error = 'error';
    expect(reducer(undefined, {
      type: actionTypes.REQUEST_FAILURE,
      sender: SENDER,
      error: error
    })).toEqual({
      data: null,
      error: error,
      loading: false,
      success: false
    });
  });
});